[arch-commits] Commit in nodejs-lts-carbon/repos (2 files)

Bruno Pagani archange at archlinux.org
Sat Nov 18 09:53:50 UTC 2017


    Date: Saturday, November 18, 2017 @ 09:53:49
  Author: archange
Revision: 267276

archrelease: copy trunk to community-x86_64

Added:
  nodejs-lts-carbon/repos/community-x86_64/
  nodejs-lts-carbon/repos/community-x86_64/PKGBUILD
    (from rev 267275, nodejs-lts-carbon/trunk/PKGBUILD)

----------+
 PKGBUILD |   64 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 64 insertions(+)

Copied: nodejs-lts-carbon/repos/community-x86_64/PKGBUILD (from rev 267275, nodejs-lts-carbon/trunk/PKGBUILD)
===================================================================
--- community-x86_64/PKGBUILD	                        (rev 0)
+++ community-x86_64/PKGBUILD	2017-11-18 09:53:49 UTC (rev 267276)
@@ -0,0 +1,64 @@
+# Maintainer: Bruno Pagani (a.k.a. ArchangeGabriel) <archange at archlinux.org>
+
+pkgname=nodejs-lts-carbon
+pkgver=8.9.1
+pkgrel=1
+pkgdesc='Evented I/O for V8 javascript (LTS release: Carbon)'
+arch=('x86_64')
+url="http://nodejs.org/"
+license=('MIT')
+depends=('openssl-1.0' 'zlib' 'icu' 'libuv' 'http-parser' 'c-ares')
+makedepends=('python2' 'procps-ng')
+optdepends=('npm: nodejs package manager')
+provides=("nodejs=$pkgver")
+conflicts=('nodejs')
+source=("${url}/dist/v${pkgver}/node-v${pkgver}.tar.xz")
+# https://nodejs.org/download/release/latest-carbon/SHASUMS256.txt.asc
+sha256sums=('ef160c21f60f8aca64145985e01b4044435e381dc16e8f0640ed0223e84f17e0')
+#validpgpkeys=('C4F0DFFF4E8C1A8236409D08E73BC641CC11F4C8') # Myles Borins <mylesborins at google.com>
+
+prepare() {
+  cd node-v${pkgver}
+
+  msg 'Fixing for python2 name'
+  find -type f -exec sed \
+    -e 's_^#!/usr/bin/env python$_&2_' \
+    -e 's_^\(#!/usr/bin/python2\).[45]$_\1_' \
+    -e 's_^#!/usr/bin/python$_&2_' \
+    -e 's_^\( *exec \+\)python\( \+.*\)$_\1python2\2_'\
+    -e 's_^\(.*\)python\( \+-c \+.*\)$_\1python2\2_'\
+    -e "s_'python'_'python2'_" -i {} \;
+  find test/ -type f -exec sed 's_python _python2 _' -i {} \;
+}
+
+build() {
+  cd node-v${pkgver}
+
+  export PKG_CONFIG_PATH=/usr/lib/openssl-1.0/pkgconfig
+  export PYTHON=python2
+  ./configure \
+    --prefix=/usr \
+    --with-intl=system-icu \
+    --without-npm \
+    --shared-openssl \
+    --shared-zlib \
+    --shared-libuv \
+    --shared-http-parser \
+    --shared-cares
+
+  make
+}
+
+check() {
+  cd node-v${pkgver}
+  # Expected failure: https://github.com/nodejs/node/issues/11627
+  make test || warning "Tests failed"
+}
+
+package() {
+  cd node-v${pkgver}
+
+  make DESTDIR="${pkgdir}" install
+
+  install -Dm644 LICENSE -t "${pkgdir}"/usr/share/licenses/${pkgname}/
+}



More information about the arch-commits mailing list